Bug Hunting Session
Bug 59257 - UI: built-in elements (icons, labels) of a navigation bar control (for a data table) do not resize when zooming
Summary: UI: built-in elements (icons, labels) of a navigation bar control (for a data...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: UI-Theming Base-UX
  Show dependency treegraph
 
Reported: 2013-01-11 19:40 UTC by Biofjöd
Modified: 2019-11-05 03:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Navigationbar with different zooms - 100% shows all icons, 75% miss some, 140% too small (17.68 KB, image/png)
2014-12-01 15:13 UTC, Robert Großkopf
Details
Open the form and have a look at the navigationbar - zoom the form ... (14.83 KB, application/vnd.oasis.opendocument.database)
2014-12-01 15:16 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Biofjöd 2013-01-11 19:40:57 UTC
Problem:

Neither in form design mode, nor in document viewing, the built-in icons of a navigation bar control (for a data table in the same form) resize correctly when zooming the document's view.


Current behaviour:

When zooming a document's view, the built-in icons (linked to actions like "next record", "save record", "refresh", "sort ascending" and so on) are not zoomed and keep their absolute size (e.g. 16x16 pixels). With a small zoom factor, they are clipped at the bar's right end (starting with the rightmost icon) and successively become unreachable.


Expected behaviour:

The icons are zoomed in conjuction with the bar.


Note:

This behaviour is NOT new to LO 3.6.4.3 - I've realized it on the very first version of OOo I've played around with a couple of years ago.
Comment 1 Robert Großkopf 2013-01-12 20:48:55 UTC
I can confirm this behavior. It's a problem since OOo. Set the version to the earliest version 3.3.0 Beta2.
You could only create a form and have a look, who it should appear at zoom 100%. If you zoom out, elements of the navigation bar could disappear ...
Comment 2 Biofjöd 2013-01-14 08:58:20 UTC
The described erroneous behaviour when zooming applies to the elements of the "positioning" part of the navigation bar, too.

I.e. the textual elements (labels "record", "of", dynamic result set size info, and the field for the row position) do not resize when zooming.


Changing the bug's summary in order to include these parts as well.
Comment 3 Julien Nabet 2014-11-30 21:54:40 UTC
On pc Debian x86-64 with LO 4.3.3 Debian package, I don't reproduce this. It may have been fixed thanks to the ui conversion.
I put it as WFM.

If someone can reproduce this with a recent LO version (last stable one is 4.3.4), don't hesitate to reopen this tracker.
Comment 4 Robert Großkopf 2014-12-01 15:13:49 UTC
Created attachment 110303 [details]
Navigationbar with different zooms - 100% shows all icons, 75% miss some, 140% too small
Comment 5 Robert Großkopf 2014-12-01 15:16:23 UTC
Created attachment 110304 [details]
Open the form and have a look at the navigationbar - zoom the form ...

The bug hasn't gone here: OpenSUSE 12.3 64bit Linux, LO 4.3.5.1.

The navigationbar-control doesen't zoom here. See the different screenshots. Could also test with the little database.
Comment 6 Julien Nabet 2014-12-01 19:09:36 UTC
Indeed, I did miss this point and had looked the built-in navigation bar of the data in the form.
Comment 7 Alex Thurgood 2015-01-03 17:38:40 UTC Comment hidden (no-value)
Comment 8 QA Administrators 2016-01-17 20:03:10 UTC Comment hidden (obsolete)
Comment 9 Robert Großkopf 2016-01-27 14:59:51 UTC
Bug still exists with LO 5.1.0.2, OpenSUSE 42.1 Leap, 64bit rpm Linux.
Comment 10 QA Administrators 2017-03-06 14:04:47 UTC Comment hidden (obsolete)
Comment 11 Robert Großkopf 2017-03-06 16:35:13 UTC
Bug still exists in LO 5.3.1.1, OpenSUSE Leap 42.1 64bit rpm Linux.
Comment 12 QA Administrators 2018-03-07 03:40:52 UTC Comment hidden (obsolete)
Comment 13 Thomas Lendo 2018-11-04 00:09:29 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+
Build ID: 612a107464c1889fdc4806a3c86da8c2fbf452c8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
Comment 14 QA Administrators 2019-11-05 03:29:39 UTC
Dear Biofjöd,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug